using skydiveLogs_api.Domain;
using System.Collections.Generic;

namespace skydiveLogs_api.DomainBusiness.Interfaces
{
    public interface IAircraftService
    {
        #region Public Methods

        void AddNewAircraft(Aircraft aircraft);

        void DeleteAircraftById(int id);

        Aircraft GetAircraftById(int id);

        IEnumerable<Aircraft> GetAllAircrafts();

        void UpdateAircraft(int id, Aircraft aircraft);

        #endregion Public Methods
    }
}